GP-DISPLAY-TEXT(1)

NAME
gp-display-text - display the performance data in plain text format

SYNOPSIS
gprofng display text [OPTION(S)] [COMMAND(S)] [-script <script_file>] EXPERIMENT(S)

DESCRIPTION
Print a plain text version of the various displays supported by gprofng.

OPTIONS

--version
    print the version number and exit.

--help
    print usage information and exit.

--verbose {on|off}
    enable (on) or disable (off) verbose mode; the default is "off".

-script <script-file>
    execute the commands stored in the script file; this feature may be combined with commands specified at the command line.

COMMANDS

This tool supports a rich set of commands to control the display of the data; instead of, or in addition to, including these commands in a script file, it is also allowed to include such commands at the command line; in this case, the commands need to be prepended with the "-" symbol; the commands are processed and interpreted left from right, so the order matters; The gprofng manual documents the commands that are supported.

If this tool is invoked without options, commands, or a script file, it starts in interpreter mode. The user can then issue the commands interactively; the session is terminated with the "exit" command in the interpreter.

DOCUMENTATION

A getting started guide for gprofng is maintained as a Texinfo manual. If the info and gprofng programs are properly installed at your site, the command "info gprofng" should give you access to this document.

SEE ALSO

gprofng(1), gp-archive(1), gp-collect-app(1), gp-display-html(1), gp-display-src(1)

COPYRIGHT
Copyright © 2023 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.